org.apache.maven.artifact.manager

## Class ChecksumFailedException

- java.lang.Object
- - TransferFailedException
  - - org.apache.maven.artifact.manager.ChecksumFailedException

    public class ChecksumFailedException
    extends TransferFailedException

Occurs when a download checksum fails.

Version:
  $Id: ChecksumFailedException.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`ChecksumFailedException(java.lang.String s)`
`ChecksumFailedException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChecksumFailedException

    public ChecksumFailedException(java.lang.String s)

#### ChecksumFailedException

    public ChecksumFailedException(java.lang.String message,
                           java.lang.Throwable cause)